Subject: Re: [PATCH v1 0/4] Remove obsolete Cygwin support from git-gui

From: Pratyush Yadav <[email-masked]>
Date: Thu, 24 Aug 2023 17:54:13 +0200

On Sat, Aug 05 2023, Mark Levedahl wrote:

> On 6/27/23 13:52, Junio C Hamano wrote:
>> Mark Levedahl <[email-masked]> writes:
>>
>>> === This is an update, incorporating responses to Junio's and Eric's
>>> comments:
>>>    -- clarified what the "upstream" git-gui branch is
>>>    -- Removed some changes from patch 2 as requested by Junio, reducing
>>>       changes in patch 3 and patch 4
>>>         All code is fixed only after applying patch 4
>>>         Differences in patch 3 and 4 are minimimized
>>>     -- updated comments to clarify G4w dedicated code.
>>>     -- updated all comments to (hopefully) clarify points of confusion
>>> ===
>>> ...
>>> Mark Levedahl (4):
>>>    git gui Makefile - remove Cygwin modifications
>>>    git-gui - remove obsolete Cygwin specific code
>>>    git-gui - use cygstart to browse on Cygwin
>>>    git-gui - use mkshortcut on Cygwin
>>>
>>>   Makefile                  |  21 +------
>>>   git-gui.sh                | 118 +++-----------------------------------
>>>   lib/choose_repository.tcl |  27 +--------
>>>   lib/shortcut.tcl          |  31 +++++-----
>>>   4 files changed, 27 insertions(+), 170 deletions(-)
>> OK, Dscho says v1 looks good, and I have no further comments.
>>
>> Pratyush, can I expect that you take further comments and usher
>> these patches to your tree, and eventually tell me to pull from your
>> repository?
>>
>> Thanks, all.
>
> Junio,
>
> Thank you and Dscho for the detailed reviews. But, there is no response from
> Pratyush in over a month, is there a different maintainer then who should take
> this?

Almost 2 months now... I'm sorry. I just do not find enough time or
energy for git-gui these days. More on that later.

For now, I took a brief look at the patches. They look good to me. I
appreciate the detailed commit messages. I did not test them since I do
not have a Windows setup currently, but I believe Johannes did so it's
all good for me.

Applied to git-gui/master. Will send a pull request soon.

-- 
Regards,
Pratyush Yadav